Bug 43453 - Unbreak misc/gman
Unbreak misc/gman
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-28 16:40 UTC by tilman
Modified: 2003-01-03 05:58 UTC (History)
1 user (show)

See Also:


Attachments
gman.diff (2.32 KB, patch)
2002-09-28 16:40 UTC, tilman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tilman 2002-09-28 16:40:02 UTC
	Unbreak by giving this ugly program a betterconnected MASTER_SITE
	Fix plist
	PERL -> REINPLACE_CMD
	Add Author to pkg-descr
	Make patch-Makefile obsolete by replacing it with Regex.

Fix: Remove patch-Makefile
Comment 1 kris 2002-09-29 06:40:52 UTC
On Sat, Sep 28, 2002 at 05:35:11PM +0200, Tilman Linneweh wrote:

> 	PERL -> REINPLACE_CMD

This seems to break for me:

sed: lstat: No such file or directory

I have MAKEOBJDIRPREFIX set in /etc/make.conf to move WRKDIR elsewhere.

Kris
Comment 2 tilman 2002-09-29 16:27:17 UTC
* Kris Kennaway <kris@obsecurity.org> [Sat, 28 Sep 2002 22:40:52 -0700]:

> On Sat, Sep 28, 2002 at 05:35:11PM +0200, Tilman Linneweh wrote:
> 
> > 	PERL -> REINPLACE_CMD
> 
> This seems to break for me:
> 
> sed: lstat: No such file or directory
> 
> I have MAKEOBJDIRPREFIX set in /etc/make.conf to move WRKDIR elsewhere.

You mean the line gets too long for the shell?

If splitted it into two.

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/misc/gman/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- Makefile	28 Sep 2002 18:19:39 -0000	1.7
+++ Makefile	29 Sep 2002 15:23:23 -0000
@@ -9,7 +9,8 @@
 PORTNAME=	gman
 PORTVERSION=	0.9.3
 CATEGORIES=	misc
-MASTER_SITES=	http://homex.coolconnect.com/user/xkwang/gman/
+MASTER_SITES=	http://stud3.tuwien.ac.at/~e0025974/distfiles/ \
+		http://homex.coolconnect.com/user/xkwang/gman/
 
 MAINTAINER=	ports@FreeBSD.org
 
@@ -18,12 +19,22 @@
 
 USE_GNOMENG=	yes
 USE_GNOME=	gtk12
+USE_REINPLACE=	yes
 
 MAN1=	gman.1x
 
 post-patch:
-	@${PERL} -pi -e "s,^CXX =,#CXX =,g ; s,^CXXFLAGS =,CXXFLAGS+=,g ; \
-		s,gtk-config,${GTK_CONFIG},g ; s,= /usr,= ${PREFIX},g ; \
-		s,/var/www,${LOCALBASE}/www,g" ${WRKSRC}/Makefile
+	${REINPLACE_CMD} -e 's,^CXX =,#CXX =,g ; s,^CXXFLAGS =,CXXFLAGS+=,g ; \
+	s,gtk-config,${GTK_CONFIG},g ; s,= /usr,= ${PREFIX},g ;s,\-O2,,g ;' \
+	${WRKSRC}/Makefile	
+	${REINPLACE_CMD} -e 's,\-lgtk \-lgdk \-lpthread ,`${GTK_CONFIG} \-\-libs gthread` ,g;' \
+	${WRKSRC}/Makefile 
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/gman ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/gman.pl ${PREFIX}/bin/gman.cgi
+	${MKDIR} ${PREFIX}/www/cgi-bin/gman
+	${INSTALL_SCRIPT} ${WRKSRC}/gman.pl ${PREFIX}/www/cgi-bin/gman
+	${INSTALL_MAN} ${WRKSRC}/gman.1x ${MANPREFIX}/man/man1
 
 .include <bsd.port.mk>
Index: pkg-descr
===================================================================
RCS file: /home/ncvs/ports/misc/gman/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- pkg-descr	30 Mar 2001 16:49:35 -0000	1.1
+++ pkg-descr	28 Sep 2002 15:04:26 -0000
@@ -2,4 +2,5 @@
 designed for the new users of UNIX. It can help a newbie find specific
 information or idly browse other man pages.
 
+Author: Xinkai Wang <aakwxk@hotmail.com> 
 WWW: http://homex.coolconnect.com/user/xkwang/gman/
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/misc/gman/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	10 Jun 2002 04:25:02 -0000	1.2
+++ pkg-plist	28 Sep 2002 15:14:06 -0000
@@ -1,3 +1,4 @@
 bin/gman
 bin/gman.cgi
-www/cgi-bin/gman
+www/cgi-bin/gman/gman.pl
+@dirrm www/cgi-bin/gman
Comment 3 ijliao freebsd_committer 2003-01-03 05:58:13 UTC
State Changed
From-To: open->closed

committed, thanks